### Method

# FwupdPlugin HidrawDevice set_report

since: 2.0.14

#### Declaration [src]

    gboolean
    fu_hidraw_device_set_report (
      FuHidrawDevice* self,
      const guint8* buf,
      gsize bufsz,
      FuIOChannelFlags flags,
      GError** error
    )

#### Description [src]

Do a HID SetOutputReport request.

Available since: 2.0.14

#### Parameters

`buf`

  Type: `const guint8*`

  A buffer to use, which must be large enough for the request.

  The data is owned by the caller of the method.

`bufsz`

  Type: `gsize`

  The size of `buf`.

`flags`

  Type: `FuIOChannelFlags`

  Some `FuIOChannelFlags`, e.g. `FU_IO_CHANNEL_FLAG_SINGLE_SHOT`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` for success.